| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::PendingFailure Class Reference
Utililty classes

The PendingFailure class represents a PendingOperation that always fails with the error passed to the constructor. More...

`#include <TelepathyQt/PendingFailure>`

Inherits Tp::PendingOperation.

## Public Member Functions

| PendingFailure (const QString &name, const QString &message, const SharedPtr< RefCounted > &object)
| PendingFailure (const QDBusError &error, const SharedPtr< RefCounted > &object)
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Additional Inherited Members

Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Detailed Description

The PendingFailure class represents a PendingOperation that always fails with the error passed to the constructor.

## Constructor & Destructor Documentation

Tp::PendingFailure::PendingFailure | ( | const QString & | name,
|  | const QString & | message,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

inline

Tp::PendingFailure::PendingFailure | ( | const QDBusError & | error,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

inline